summaryrefslogtreecommitdiffstats
path: root/development/dbeaver
diff options
context:
space:
mode:
author David Spencer <idlemoor@slackbuilds.org>2016-01-23 14:00:26 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-01-26 18:58:51 +0700
commit9daeef70968326b6e61d7b281effa72909b525fc (patch)
tree10bdae471f2766972a47e93b396bde219dea27cb /development/dbeaver
parentc3afac1a66f3843877f2948f185a2ca91f42d60e (diff)
downloadslackbuilds-9daeef70968326b6e61d7b281effa72909b525fc.tar.gz
slackbuilds-9daeef70968326b6e61d7b281effa72909b525fc.tar.xz
development/dbeaver: Updated for version 3.5.8.
Archives for 3.4.1 are no longer available. Fixed build on i586. Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/dbeaver')
-rw-r--r--development/dbeaver/dbeaver.SlackBuild59
-rw-r--r--development/dbeaver/dbeaver.info14
2 files changed, 29 insertions, 44 deletions
diff --git a/development/dbeaver/dbeaver.SlackBuild b/development/dbeaver/dbeaver.SlackBuild
index 24679078af..e591dfb9ab 100644
--- a/development/dbeaver/dbeaver.SlackBuild
+++ b/development/dbeaver/dbeaver.SlackBuild
@@ -23,17 +23,16 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=dbeaver
-VERSION=${VERSION:-3.4.1}
+VERSION=${VERSION:-3.5.8}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i486 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
-fi
+ARCH=${ARCH:-$(uname -m)}
+case "$ARCH" in
+ i?86) ARCH=i586; SRCARCH=x86 ;;
+ x86_64) SRCARCH=x86_64 ;;
+ *) echo "$ARCH is not supported"; exit 1 ;;
+esac
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
@@ -43,26 +42,23 @@ OUTPUT=${OUTPUT:-/tmp}
set -e
rm -rf $PKG
-mkdir -p $TMP $PKG/opt $PKG/usr/bin $OUTPUT
+mkdir -p $TMP $PKG $OUTPUT
-cd $PKG/opt
-case "$ARCH" in
- i?86)
- ARCH=i586
- unzip -o $CWD/$PRGNAM-$VERSION-*x86.zip
- ;;
- x86_64)
- unzip -o $CWD/$PRGNAM-$VERSION-*x86_64.zip
- ;;
- *)
- echo "$ARCH is not supported";
- exit 1
- ;;
-esac
+SRCNAM=dbeaver-ee
+SRCVER=$VERSION-linux.gtk.$SRCARCH
+DESTDIR=$PKG/opt/$PRGNAM
-cd $PKG/opt/$PRGNAM
-unzip -o $CWD/driver-pack-$VERSION.zip
+mkdir -p $DESTDIR
+cd $DESTDIR
+tar xvf $CWD/$SRCNAM-$SRCVER.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+mkdir -p $PKG/usr/bin
cat << EOF > $PKG/usr/bin/$PRGNAM
#!/bin/sh
cd \$HOME
@@ -70,20 +66,13 @@ cd \$HOME
EOF
chmod 0755 $PKG/usr/bin/$PRGNAM
-cd $PKG
-
-chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PKG/opt/$PRGNAM/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $DESTDIR/readme.txt $DESTDIR/licenses/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/development/dbeaver/dbeaver.info b/development/dbeaver/dbeaver.info
index 6670744184..0d5f7dde60 100644
--- a/development/dbeaver/dbeaver.info
+++ b/development/dbeaver/dbeaver.info
@@ -1,14 +1,10 @@
PRGNAM="dbeaver"
-VERSION="3.4.1"
+VERSION="3.5.8"
HOMEPAGE="http://dbeaver.jkiss.org"
-DOWNLOAD="http://dbeaver.jkiss.org/files/dbeaver-3.4.1-ee-linux.gtk.x86.zip \
- http://dbeaver.jkiss.org/files/driver-pack-3.4.1.zip"
-MD5SUM="fb229a877b4ffd4040f12480a61ff70f \
- 37856a2a96a3ee5ab07c5e391cde931a"
-DOWNLOAD_x86_64="http://dbeaver.jkiss.org/files/dbeaver-3.4.1-ee-linux.gtk.x86_64.zip \
- http://dbeaver.jkiss.org/files/driver-pack-3.4.1.zip"
-MD5SUM_x86_64="cf9e08ab563daa2158bf2d8e5e10dad4 \
- 37856a2a96a3ee5ab07c5e391cde931a"
+DOWNLOAD="http://dbeaver.jkiss.org/files/3.5.8/dbeaver-ee-3.5.8-linux.gtk.x86.tar.gz"
+MD5SUM="8a18c465e1759e19045079272c16f033"
+DOWNLOAD_x86_64="http://dbeaver.jkiss.org/files/3.5.8/dbeaver-ee-3.5.8-linux.gtk.x86_64.tar.gz"
+MD5SUM_x86_64="781c64ce59b5ad647608024bf4334a4a"
REQUIRES="jdk"
MAINTAINER="Antonio Hernández Blas"
EMAIL="hba.nihilismus@gmail.com"